'--------------------------------------------------------------
'
' PROGRAM TLAC+LED-2.bas  Ukzka ten tlatka s vyuitm pull-up rezistoru.
'
' Program, kterm pi stisku tlatka na vstupu PC0 mn frekvenci blikn LED.
'---------------------------------------------------------------

'Na vstup PC0 je pipojeno proti GND tlatko bez vnjho rezistoru.
'PC0 je nakonfigurovn jako vstupn s vnitnm pull-up rezistorem, take v klidu na nm bude rove 1.
'To je velmi dleit, pokud nechme vstupn pin s velkou impedanc nepipojen,
'funguje jako antna pro ruen kter mn nhodn jeho hodnotu.
'pull-up znamen, e vstupn pin je uvnit mikroprocesoru pipojen pes asi 50 kOhm na kladn napt

'Hodnotu tlatka teme z PINC.0, pi stisknutm tlatku bude 0, jinak 1.
'LED diodu pipojme k PC5.
'Dioda blik 1x za vteinu, pi stisknutm tlatku 4x za vteinu.


$regfile = "m8def.dat"                                      'Soubor s deklaracemi
$crystal = 12000000                                         'Kmitoet krystalu v Hz


Config Portc.0 = Input                                      'PC0 vstupn pro tlatko
Config Portc.5 = Output                                     'PC5 vstupn pro LED
Portc.0 = 1                                                 'pull up rezistor zapnut

'-------------- HLAVNI PROGRAM -------------------------------

 Do
    Portc.5 = Not Portc.5                                   'zm rove na PC5. Stejn funguje: Toggle PortC.5

    If Pinc.0 = 1 Then                                      'jestlie tlatko nen stisknuto, pak
    Waitms 500                                              'ekej 500 ms

    Else                                                    'jinak, kdy je tlatko sepnuto (PinC.0=0)
    Waitms 125                                              'ekej 125 ms
    End If

 Loop                                                       'jdi na Do

'--------- KONEC HLAVNIHO PROGRAMU ---------------------------

End


'Poznmka:
'Pi testovn jakhokoliv bitu meme pout pouze
'If pinC.0=0 nebo If pinC.0=1